summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorTheresa Halloran <thallora@linux.vnet.ibm.com>2011-10-23 15:23:28 -0700
committerJelmer Vernooij <jelmer@samba.org>2011-10-23 15:23:28 -0700
commitb26a4f6232219746fd8ed1b107476f3c23c6908e (patch)
treebdc2219ee8bb553ce67b4f315273bec10414c971 /testprogs
parentaabda85a2fc9f6763abd56d61ff819012f2225ad (diff)
downloadsamba-b26a4f6232219746fd8ed1b107476f3c23c6908e.tar.gz
samba-b26a4f6232219746fd8ed1b107476f3c23c6908e.tar.bz2
samba-b26a4f6232219746fd8ed1b107476f3c23c6908e.zip
s4: samba-tool subcommand rename - change samba-tool user add to samba-tool user create
Signed-off-by: Theresa Halloran <thallora@linux.vnet.ibm.com> Signed-off-by: Jelmer Vernooij <jelmer@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_export_keytab.sh2
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh2
-rwxr-xr-xtestprogs/blackbox/test_passwords.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/testprogs/blackbox/test_export_keytab.sh b/testprogs/blackbox/test_export_keytab.sh
index 351a67d793..7c637042d4 100755
--- a/testprogs/blackbox/test_export_keytab.sh
+++ b/testprogs/blackbox/test_export_keytab.sh
@@ -22,7 +22,7 @@ samba4bindir="$BINDIR"
smbclient="$samba4bindir/smbclient$EXEEXT"
samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
samba_tool="$samba4bindir/samba-tool$EXEEXT"
-newuser="$samba_tool user add"
+newuser="$samba_tool user create"
. `dirname $0`/subunit.sh
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index 0b4e2d35e7..293115fc09 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -73,7 +73,7 @@ testit "check time with kerberos ccache" $VALGRIND $samba_tool time $SERVER $CON
USERPASS=testPass@12%
echo $USERPASS > $PREFIX/tmpuserpassfile
-testit "add user with kerberos ccache" $VALGRIND $samba_tool user add nettestuser $USERPASS $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
+testit "add user with kerberos ccache" $VALGRIND $samba_tool user create nettestuser $USERPASS $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
echo "Getting defaultNamingContext"
BASEDN=`$ldbsearch $options --basedn='' -H ldap://$SERVER -s base DUMMY=x defaultNamingContext | grep defaultNamingContext | awk '{print $2}'`
diff --git a/testprogs/blackbox/test_passwords.sh b/testprogs/blackbox/test_passwords.sh
index 3d1c559496..ed6866558f 100755
--- a/testprogs/blackbox/test_passwords.sh
+++ b/testprogs/blackbox/test_passwords.sh
@@ -25,7 +25,7 @@ samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
samba_tool="$samba4bindir/samba-tool$EXEEXT"
rkpty="$samba4bindir/rkpty$EXEEXT"
samba4kpasswd="$samba4bindir/samba4kpasswd$EXEEXT"
-newuser="$samba_tool user add"
+newuser="$samba_tool user create"
. `dirname $0`/subunit.sh